
ctools - Action #3441

Add method to ctobssim that allows passing of models

11/07/2020 08:45 PM - Knödlseder Jürgen

Status: Closed Start date: 11/07/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

A method

<class code="cpp">

void models(const GModels& models);

</class>

should be added to the ctobssim interface that allows passing of a model container for the simulations.

History

#1 - 11/07/2020 09:03 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 90

I implemented the method as well as a unit test.

The models() method sets the model container that should be used for simulations. If a model container exists already in the input observations that

model container will be overwritten. The models will not be queried, and any model specified using the inmodel parameter will be ignored. Setting an

empty model container will disable the mechanism.

#2 - 11/08/2020 11:12 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel.
